### Enumeration

# JavaScriptCore CheckSyntaxMode

unstable since: 6.0

#### Declaration

    enum JavaScriptCore.CheckSyntaxMode

#### Description [src]

Enum values to specify a mode to check for syntax errors in jsc_context_check_syntax().

Available since: 6.0

#### Members

`JSC_CHECK_SYNTAX_MODE_SCRIPT`

  Mode to check syntax of a script.

  - Value: `0`
  - Nickname: `None`
  - Available since: 6.0
`JSC_CHECK_SYNTAX_MODE_MODULE`

  Mode to check syntax of a module.

  - Value: `1`
  - Nickname: `None`
  - Available since: 6.0